Bug 325224 - CalDav doesn't read server items
Summary: CalDav doesn't read server items
Status: RESOLVED DUPLICATE of bug 386985
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: DAV Resource (show other bugs)
Version: 4.11
Platform: OpenSUSE Linux
: NOR major with 388 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-24 08:28 UTC by S. Bryant
Modified: 2019-02-10 21:27 UTC (History)
47 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description S. Bryant 2013-09-24 08:28:55 UTC
CalDav is treating the server as a write-only resource.  It is not reading any items already on the server, and not seeing changes to the items it placed onto the server (including deletion).

Items written with Kontact generate files on the server, but are not viewable using Kontact on another machine.  The behaviour is the same in the other direction (starting with Kontact on the 2nd machine).

Thunderbird (with Lightning calendar add-on) can see the items.

Reproducible: Always

Steps to Reproduce:
1. Write a calendar entry to a server from elsewhere
2. Refresh calendar in Kontact

Actual Results:  
New items and changes are not visible in Kontact.

Expected Results:  
New items and changes should be visible in Kontact.

Using 4.11.1 64-bit on OpenSUSE 12.3 from the normal KDE: repository.  System patches are up to date.  Two systems are exhibiting the same behaviour.

The server is a Synology Diskstation (DSM 4.3 - the current software release).

The problem persists over reboots.  Changing the calendar folder settings to automatically sync after 1min makes no difference.

CalDav is effectively not usable.  I have not tested GroupDav or CardDav.
Comment 1 Russ H 2013-11-20 18:27:36 UTC
I can confirm that this behaviour is present in KDE 4.11.2 when attempting to use the native Synology WebDav calendar. My Android phone will connect to the same CalDav resource and both create and read events whereas Akonadi will only create events - it does not show them.
Comment 2 Flo 2014-05-13 15:17:26 UTC
Hi,
I can confirm this with KDE 4.13.0 (Kubuntu 14.04 x86_64).

Thunderbird+Lightning and Android phone work fine. We use Kerio Connect as our groupware/CalDav server.
Comment 3 S. Bryant 2014-05-26 07:44:59 UTC
I've tried again - I am now not seeing this problem with 4.13.1, so it looks like it's fixed.

Thanks!
Comment 4 MMH 2014-06-01 07:48:17 UTC
Hi all,

I am also on 4.13.1 and it doesn't work. 
Any ideas?
Thx
Comment 5 Flo 2014-06-03 16:02:50 UTC
Hi,

I've also updated to 4.13.1 now but it still doesn't work for me.
Comment 6 Martin Droessler 2014-06-27 06:30:27 UTC
I also encountered this problem (using version 4.13.1)
Comment 7 promo1 2014-07-10 11:25:58 UTC
I have same problem on Ubuntu 13.10 KDE amd Kontact 4.11.5 for a GroupDav resource.

Thanks
Comment 8 Miguel 2014-08-17 16:55:13 UTC
Hello, same here... with other clients like Evolution or Thunderbird/Lignting and on my smartphones the syncing of calendars work perfect both ways. When using Kontakt/Akonadi it is possible to write new events to the server, but when Akonadi tries to retrieve the calendar from the server it responds with an error message: "Items could not be fetched. There was a problem. The file or folder 192.168.1.199 does not exist" 
The caldav server is a Synology nas with caldav support, I use fedora 19 and keep it updated (well, Fedora does it ;-). So, writing events is possible, other clients can fetch it but not Akonadi. As this seems a key error to me(Akonadi is meant for PIM applications after all) I hope this will be picked up. Thanks in advance for the bug team!
Comment 9 Martin Hofmann 2014-08-22 19:56:46 UTC
Hello, I have the same issue with KDE 4.13.3. 

I'm using two different CalDav servers. In Combination with Davical everything works fine. I can read and write new calendar items via Kontakt/Akonadi. 

With a Kerio connect server I can see all my calendars in KOrganizer but I see no calendar entries for this calendars. If I create a new item on such a calendar it will be created in KOrganizer and also synchronized to the Kerio connect server. Kerio connect server works excellent with other caldav calendar clients like Thunderbird/Lightning or with my mobile.

For me only CalDav is affected. CardDav works fine with both servers.
Comment 10 Martin Droessler 2014-08-26 08:06:54 UTC
It seems indeed to depend on the server, as pointed out in the last comment.
With baikal, for example, it works.
Unfortunately, at work we're also using Kerio Connect.
Comment 11 Grégory Oestreicher 2014-09-05 22:07:04 UTC
A lot of fixes went into what will be 4.14.1, and I'm particularly thinking of one that may explain this issue where the resource triggered an error on at least some servers. Maybe Kerio and the Synology implementations have the same issue.

Can you test once 4.14.1 is out and update the bug accordingly?
Comment 12 Grégory Oestreicher 2014-10-05 09:27:52 UTC
No news, so assuming it's fixed in 4.14.1. Feel free to reopen if that's not the case.

Cheers,
Grégory
Comment 13 Martin Droessler 2014-10-05 15:43:02 UTC
Don't assume too soon. It's just that there are still no 4.14.1 packages for Kubuntu.
Comment 14 Martin Droessler 2014-10-06 06:34:02 UTC
After ~ 3 weeks, there are finally some 4.14.1 packages for Kubuntu.
Unfortunately, the issue remains. KOrganizer still doesn't fetch the entries from Kerio Connect.
Comment 15 Grégory Oestreicher 2014-10-06 18:29:45 UTC
(In reply to Martin Droessler from comment #14)
> After ~ 3 weeks, there are finally some 4.14.1 packages for Kubuntu.

OK, I didn't know the release cycle for KUbuntu.

> Unfortunately, the issue remains. KOrganizer still doesn't fetch the entries
> from Kerio Connect.

Damn… Reopening.

Do you know if there are publicly accessible Kerio demos available? The one from their website does not have the caldav component installed, and I'm a bit reluctant to have to register and deal with salespersons afterwards.

Cheers,
Grégory
Comment 16 marcin.bajor 2014-10-06 20:03:19 UTC
I have similar issue in davmail.
This is example request from KOrganizer:
<?xml version="1.0" encoding="utf-8"?>
<calendar-query xmlns="urn:ietf:params:xml:ns:caldav">
 <prop xmlns="DAV:">
  <getetag xmlns="DAV:"/>
  <resourcetype xmlns="DAV:"/>
 </prop>
 <filter xmlns="urn:ietf:params:xml:ns:caldav">
  <comp-filter xmlns="urn:ietf:params:xml:ns:caldav" name="VCALENDAR">
   <comp-filter xmlns="urn:ietf:params:xml:ns:caldav" name="VTODO">
    <time-range xmlns="urn:ietf:params:xml:ns:caldav" start="20140706T150740"/>
   </comp-filter>
  </comp-filter>
 </filter>
</calendar-query>

davmail shows "java.text.ParseException: Unparseable date: "20140706T150740" Unparseable date: "20140706T150740"" in logs

It means that start in time-range element (i mean XML request) must be in UTC format date, with "Z" letter at the end of date.
Comment 17 Grégory Oestreicher 2014-10-06 20:11:27 UTC
(In reply to marcin.bajor from comment #16)
> It means that start in time-range element (i mean XML request) must be in
> UTC format date, with "Z" letter at the end of date.

Yup, this has been fixed: https://bugs.kde.org/show_bug.cgi?id=339327
Will be part of 4.14.2.

Cheers,
Grégory
Comment 18 Martin Droessler 2014-10-08 09:37:50 UTC
(In reply to Grégory Oestreicher from comment #15)
> 
> Do you know if there are publicly accessible Kerio demos available? The one
> from their website does not have the caldav component installed, and I'm a
> bit reluctant to have to register and deal with salespersons afterwards.
> 

Unfortunately, no I don't know of any public demo with caldav enabled.
Comment 19 MMH 2014-10-15 12:56:26 UTC
Sexy,

works like a charm now.
Comment 20 Martin Droessler 2014-10-20 15:17:53 UTC
(In reply to MMH from comment #19)
> Sexy,
> 
> works like a charm now.

You're not using Kerio Connect as server, I guess?
Comment 21 MMH 2014-10-20 16:07:00 UTC
You are tight, i'm not. I'm conected to a open-Xchange server via CALDav (not via the open-xchange module ). 
I'm on openSuse 13.1 and KDE 4.14.2
Comment 22 michael 2015-03-01 15:45:27 UTC
Just tried 4.14.2 - still no sync from server to kontact.
Server is DSM 4.3. caldav.
Comment 23 michael 2015-03-01 17:00:19 UTC
As Miguel reported akonadi debugger shows:
AgentBase(akonadi_davgroupware_resource_4): Unable to retrieve items: There was a problem with the request. The file or folder k7.pallanesien.de does not exist. (0).
If there is additional debug information to be collected, let me know.
Comment 24 Xavier 2015-03-21 20:08:18 UTC
Same problem with DSM 5.1 and Korganizer 4.14.6.
Comment 25 S. Bryant 2015-04-26 19:54:07 UTC
I've just retested.  Like Xavier, I'm also seeing this bug under KDE 4.14.6 when trying to access the Diskstation's CalDav server (DSM 5.1).

I've tried Thunderbird and Android (DAVdroid), both of which work fine against the same server.  They can each see changes made by the other.

Kontact cannot see any changes made by another client, including Kontact on a different machine.

Steve
Comment 26 RapFan89 2015-05-06 14:57:38 UTC
Hi people,
i have the same issue here with my system, i'm using DSM 5.1 (Synology Nas Ds211J) with Opensuse 13.2 running KDE 4.14.6, and tried with many other clients. (i.e. Thunderbird's Lightning, Evolution). It think that kontact has a better integration with all the OS and so i want to use it, but still no solution.

I've found a "workaround" for people that use cloudstation's client too. I've copied a *.ics file into a shared folder and then asked to Kontact to treat it as a normal ics file without using a webdav/caldav protocol, now work well, but now i'm working in local, probably if i want to connect from home, the issue will remain... 

I think that something went wrong when using that kind of protocol.
Comment 27 babak 2015-05-08 13:25:23 UTC
I am also experiencing this issue with korganizer 4.14.7 and Kerio connect server.   I can confirm that the Caldav functionality does work with Thunderbird+lightning as well as Evolution.
Comment 28 Grégory Oestreicher 2015-08-19 21:54:07 UTC
So I've tried to get access to demos for Synology to no avail. The demo at synology.com doesn't let you create calendars. Could somebody provide me with an access to such a system so that I can take a look at the requests?

For Kerio Connect I've tried the same with their public demo and sync seemed to work. Same request: any chance of having access to such a system?
Comment 29 Martin Droessler 2015-08-21 16:22:36 UTC
I finally figured out what went wrong. (at least with our Kerio Connect Server, but I suppose others might be affected as well)
Issue was, that the server sent kind of malformed data - containing only carriage returns but no line-feeds. And libical used for parsing doesn't support this!

I already made a pull-request to get the fix into libical: https://github.com/libical/libical/pull/215
...works like a charm on my machine now!
Comment 30 Grégory Oestreicher 2015-08-21 17:58:22 UTC
(In reply to Martin Droessler from comment #29)
> I already made a pull-request to get the fix into libical:
> https://github.com/libical/libical/pull/215

Woah, congrats :) So one down, one to go for this report.

Anybody willing to give me access to his/her DSM?

Cheers,
Grégory
Comment 31 RapFan89 2015-09-08 15:24:02 UTC
Hi there,
would like to know how to test this changes. I need to download the libical library and then compile it? or i need to tell the O. S. to use that new one? I'm using opensuse 13.2.
Comment 32 Chris 2015-10-14 22:38:30 UTC
Greetings,

the pull request submitted by Martin Droessler was merged into libical2. However akonadi and kontact both use libical1.0... backporting the single pull request back to the libical 1.0 branch did not yield any results for me.

So I can confirm that this issue is still present in kontact 4.14.9; I can create caldav and groupdav events on a remote server, but I can then only see them in the kontact instance that created the event.

Best Regards,

ichrispa
Comment 33 Martin Droessler 2015-10-15 06:38:17 UTC
@Chris:
My fix aimed to handle the behavior of (our) Kerio Connect Server. Whats the software running on your remote server?
Comment 34 Chris 2015-10-15 21:29:34 UTC
Hi @Martin Droessler,

I tested kontact  4.11.5 (openSUSE 12.3, i368) and 4.14.9 and 4.14.10 (openSUSE 13.2, x86_64) against davmail (using caldav) and citadel (8.24, 9.01 using groupdav) and radicale (using caldav). The agent used was always the DAV akonadi ressource. Testing was done by uploading an event from one kontact to each of the servers, then downloading it using the other (separate PCs).

Only radicale appears to be working as expected. Both davmail and citadel exhibit the behavior described in this bug. I can create/upload event and see it on the respective webinterface, but it won't show in the other client.

When forcing a refresh, akonadiconsole shows the agent stuck either at 0% or 100% while refreshing. Wireshark shows no network activity other then getting the dav directory listing. 

Should this be a separate bug?

Best regards,

Chris
Comment 35 Muck 2015-12-16 10:22:15 UTC
This bug is not fixed for me: Debian GNU/Linux 8.2 (jessie, stable), kontact 4.14.1, davfs2 1.5.2. Calender is hosted on a Synology DS215+ and works great with thunderbird and davdroid 0.9.1.2. Events created with Kontact were named like "1456278525.R86.ics" (each event one *.ics file) and are visible and synced with thunderbird and davdroid. If I delete the *.ics files on the webdav and sync again, the events are no longer visible with davdroid and thunderbird (like expected) but Kontact keeps these events for ever! Changes made via davdroid/thunderbird are not visible in Kontact. Please fix it!
Comment 36 Muck 2015-12-17 16:06:22 UTC
I am sad to confirm: Same issue occurs with CardDAV (not only CalDAV is affected). This Akonadi bug makes Kontact, KOrganizer and KAddressBook unusable for us. If you need more debug info please let me know.
Comment 37 Metko 2015-12-22 09:57:29 UTC
I'm observing the behavior described in the original bugreport with Owncloud (8.1) as a CalDAV source: Creating events in KOrganizer shows them in KOrganizer and the Owncloud calendar (so writing the akonadi resource works), but events created in the Owncloud calendar are not propagated back to KOrganizer (reading doesn't work). On opensuse 13.2 and KOrganizer 4.14 there was an error message popping up every 5 mins saying there was an error reading from the CalDAV resource, but now on Leap42.1 with KF5 there's not even a message, and reading still doesn't work.
What makes KOrganizer now really problematic is that when I export the calendar from Owncloud to an .ics file, KOrganizer doesn't show it either. There's no problem reported during the import, but it simply doesn't show any events thereafter.
The whole setup worked with older versions of Owncloud; therefore, it may be that something changed in the way it sends data via CalDAV. But since so many other people report problems here with other CalDAV sources, there may be a bug in the read-function of KOrganizer's DAV groupware ressource as well.
CardDAV-communication with my Owncloud server works without any problems.
Comment 38 Moritz Ulmer 2015-12-31 10:29:36 UTC
I can confirm that its been fixed for Kubuntu 16.04 daily build 31.12.15. I had the problem in Kubuntu 15.10 that the calendar would not sync properly. The latest Kubuntu builds sync calendar entries in both directions.
Comment 39 Metko 2016-01-07 13:09:04 UTC
(In reply to Metko from comment #37)
> I'm observing the behavior described in the original bugreport with Owncloud
> (8.1) as a CalDAV source: Creating events in KOrganizer shows them in
> KOrganizer and the Owncloud calendar (so writing the akonadi resource
> works), but events created in the Owncloud calendar are not propagated back
> to KOrganizer (reading doesn't work). On opensuse 13.2 and KOrganizer 4.14
> there was an error message popping up every 5 mins saying there was an error
> reading from the CalDAV resource, but now on Leap42.1 with KF5 there's not
> even a message, and reading still doesn't work.
> What makes KOrganizer now really problematic is that when I export the
> calendar from Owncloud to an .ics file, KOrganizer doesn't show it either.
> There's no problem reported during the import, but it simply doesn't show
> any events thereafter.
> The whole setup worked with older versions of Owncloud; therefore, it may be
> that something changed in the way it sends data via CalDAV. But since so
> many other people report problems here with other CalDAV sources, there may
> be a bug in the read-function of KOrganizer's DAV groupware ressource as
> well.
> CardDAV-communication with my Owncloud server works without any problems.

After closer inspection it seems that KOrganizer doesn't read *any* input source: (i) I exported an existing calendar as vcalendar and re-imported it -> a new calendar is generated, but it is empty, (ii) webcal:// sources don't show any items either
So, maybe the problem lies not (only) in the DAVGroupware resource but somewhere on the way to displaying events?
Comment 40 Metko 2016-01-14 12:23:54 UTC
(In reply to Metko from comment #39)
> (In reply to Metko from comment #37)
> > I'm observing the behavior described in the original bugreport with Owncloud
> > (8.1) as a CalDAV source: Creating events in KOrganizer shows them in
> > KOrganizer and the Owncloud calendar (so writing the akonadi resource
> > works), but events created in the Owncloud calendar are not propagated back
> > to KOrganizer (reading doesn't work). On opensuse 13.2 and KOrganizer 4.14
> > there was an error message popping up every 5 mins saying there was an error
> > reading from the CalDAV resource, but now on Leap42.1 with KF5 there's not
> > even a message, and reading still doesn't work.
> > What makes KOrganizer now really problematic is that when I export the
> > calendar from Owncloud to an .ics file, KOrganizer doesn't show it either.
> > There's no problem reported during the import, but it simply doesn't show
> > any events thereafter.
> > The whole setup worked with older versions of Owncloud; therefore, it may be
> > that something changed in the way it sends data via CalDAV. But since so
> > many other people report problems here with other CalDAV sources, there may
> > be a bug in the read-function of KOrganizer's DAV groupware ressource as
> > well.
> > CardDAV-communication with my Owncloud server works without any problems.
> 
> After closer inspection it seems that KOrganizer doesn't read *any* input
> source: (i) I exported an existing calendar as vcalendar and re-imported it
> -> a new calendar is generated, but it is empty, (ii) webcal:// sources
> don't show any items either
> So, maybe the problem lies not (only) in the DAVGroupware resource but
> somewhere on the way to displaying events?

Updated to kdepim 15.12.0-6.1 and korganizer 5.18.0 and everything works fine (OpenSUSE Leap 42.1) PLUS the DAVGroupware resource now has a configuration option to include events earlier than 3 months in the past - great! Thanks!
Comment 41 Chris 2016-01-16 12:16:50 UTC
Unfortunately I cannot corroborate  @Metko's last post. Using kdepim 15.12.0-6.1 on OpenSuSE Leap 42.1 still provokes the same error as before. Syncing with citadel groudav results in the agent getting stuck at "Syncing Folder Calendar (100%)" with no detectable network traffic when resyncing apart from getting the directory listing. Cadaver can still list the directory and retrieve files without any trouble.

When using the citadel .ics link over groupdav (remote ics file agent), the contents can be retrieved without problems.
Comment 42 S. Bryant 2016-01-16 21:38:49 UTC
I'm with Chris on this.  I cannot reproduce what Metko wrote.

I have a machine runnine OpenSuse Leap 42.1, and upgraded to Kontact 5.1 (kdepim-15.12.0-6.1, akonadi5-15.12.0-6.1 etc), and I still can't sync from my Diskstation (DSM 5.2) - which Android and Thunderbird both can.

I note that OpenSuse Leap has the package libical1-1.0-9.7 installed, but no libical2.  I assume that it doesn't contain Martin's fix.
@Moritz: what version of libical is in your Kubuntu where this is working?

Perhaps the lib dependency needs explicitly changing to version 2?
Comment 43 sparhawk 2016-01-16 22:36:17 UTC
YMMV but I had to remove and re-add my CalDAV calendars. It's working fine for me now.
Comment 44 S. Bryant 2016-01-17 14:15:44 UTC
Thanks.  I had already tried that, but I tried again just to be sure: I deleted and re-added my diskstation (ie: webdav) address books and calendars.

Kontact is not showing me any entries for either, even though I know there are entries on the server.

I tried adding an event from Kontact 4.14.9 and from Kontact 5.1.  Both events show up on my Android phone, but neither Kontact shows anything that came from the server.  I therefore confirm that the bug is still present.

@sparhawk: what version of libical is on your system?
Comment 45 sparhawk 2016-01-18 01:06:05 UTC
I'm using libical 2.0.0.
Comment 46 Metko 2016-01-18 13:03:05 UTC
I've been commenting on the DAVGroupware resource and its access to an owncloud server via CalDAV. It seems that you try to get the iCal resource to work (webcal://, http://). This one doesn't work for me either. It does work for local files, but I can't subscribe to remote .ics files. But probably this is the wrong thread to complain about this as it is explicitly on CalDAV.
Comment 47 RapFan89 2016-01-25 12:49:40 UTC
(In reply to sparhawk from comment #45)
> I'm using libical 2.0.0.

Dear Sparhawk,
how you did the upgrade to 2.0?
Comment 48 sparhawk 2016-01-25 21:48:11 UTC
(In reply to RapFan89 from comment #47)
> (In reply to sparhawk from comment #45)
> > I'm using libical 2.0.0.
> 
> Dear Sparhawk,
> how you did the upgrade to 2.0?

I'm using Arch Linux. It just upgraded by default from the official repositories.
[2016-01-14 22:21] [ALPM] upgraded libical (1.0.1-2 -> 2.0.0-1)
Comment 49 RapFan89 2016-01-27 12:29:15 UTC
Following  sparhawk's way, i've installed in a virtual box  machine arch linux, with the latest kde packages, now i've set my caldav infos in korganizer and tried to add some events and then check them in an other caldav client (lightining) installed in my local machine . The results are quite strange:
i can add an event and on the other side, lighiting seems to get it correctly. But if i tried to delete it from korganizer, the change does not affect lightining. Then if i a create a new event in lighting then korganizer doesn't get it at all. 
So with libical 2.0 a small improvement has been done. 

Is there a verbose mode into korganizer? i've tried to launch it from cli, but informations are really poor.
Comment 50 Grégory Oestreicher 2016-02-07 17:35:01 UTC
Not sure if this is still related to the original report :)

You can have a more verbose output by launching "kdebugsettings" and then checking the dav resource box (search for "dav" in the text input and it'll show up). The debug logs will be written to ~/.xsession-errors or similar (for me it's ~/.xsession-errors-:0).
Comment 51 Tim Schlotfeldt 2016-04-07 06:46:47 UTC
Same problem here. I don't know since which version but actually KOrganizer dosn't show any new added event. Other clients (Android, Thunderbird/Lightning) are working well.

Version: KDE 5.20, Akonadi 5.1.51 on ArchLinux.
Comment 52 RapFan89 2016-04-07 07:25:09 UTC
@Tim yes because thunderbird is a static package, it use its own libraries, try ldd and the shell will answer you that thunderbird is not a dynamic executable.
Comment 53 Moritz Ulmer 2016-04-08 16:03:37 UTC
Testing revealed that the two-way sync of calendar entries works in the current version of Kubuntu 16.04. The libical version being used is:

1.0.1-0ubuntu2
Comment 54 Jay Ambee 2016-05-21 11:49:11 UTC
I have the same problem with korganizer/kaddressbook 16.04.1 on FW 5.22, Plasma 5.6.4. Kaddressbook does not write to the synology carddav-server nor does it read anything. But connection seems to be established since there is no report of a fault. All other divices work as expected.
Interestingly the URL for the connection which is displayed in akonadi and the contacts I was trying to copy for a test, is not the same as the connection-URL but displayed as:
https://server-URL:port/addressbooks/__uids__/36_digits_ID_with_dashes/addressbook/
Don't know if that helps.

And one more thing: neither for the carddav nor the caldav ressources the displayed name can de changed, to make it more recognizable. Each time I changed it, it went back to the URL with the next actualization (every 5 minutes). Could you find a way to make such changes (in kontact/korganizer/kaddressbook) permanent?
Comment 55 Jay Ambee 2016-05-21 12:21:46 UTC
Small Addition to my last post: YES, Korganizer can write to synology caldav (WebDAV-Server), so that Calendar-Entries can be read by e.g. Android devices, but CANNOT read calendar-entries made by these same android devices, while other of such devices can.
Comment 56 Greg 2016-05-29 11:48:34 UTC
I have a similar issue with korganizer 16.04.1 on FW 5.22, Plasma 5.6.4. on my Manjaro-System  and on my Kubuntu 16.04 on a separate system in connection with ownCloud 9.0.2 / Calendar 1.2.2 running on Ubuntu Server 14.04.4 .
Kontact can write new entries to ownCloud using the CalDav remote connection but is not able to read entries from owncloud entered direcly via the owncloud web interface or  via CalDav from other clients . 
On the same laptop as the Manjaro/KDE-Plasma installation I run a Suse Tumbleweed installation with Gnome 3.20. Evolution works like a charm together with my owncloud. There are no issues at all regarding sending and receiving  Calendar entries via CalDav.
Kubuntu and Suse/Gnome are using the libical1 library, Manjaro/KDE-Plasma is using libical 2.0. That means - in my understanding - that the issues are not libical related.
Comment 57 Patrice Grundmann 2016-07-07 19:43:33 UTC
I confirm the same bug than Greg : enter a new entry in Owncloud doesn't synchronomise with Korganiser. But if I entrer the date in Korganiser, Owncloud synchronise.
Comment 58 Alejandro Lorenzo 2016-08-30 17:09:08 UTC
I am also experiencing this bug with Kmail and i think i have found the problem. 

Some CardDav clients, when creating an .ics file in a remote resource (E.g. owncloud in its caldav resource) creates a VCALENDAR file that does not contain the tag "VERSION:2.0" which declares the file conforming to VCALENDAR files version 2.0

I have manually accessed the caldav storage and added the VERSION:2.0 line to an owncloud created file and it immediately syncs into korganizer

According to the RFC that defines iCal, VERSION is mandatory and owncloud is not including it, so korganizer is actually doing the right thing (i think) which is to ignore the file

The relevant bug in owncloud is:

https://github.com/owncloud/core/issues/23715
Comment 59 PK 2016-09-05 11:35:25 UTC
I have the same problem. I confugurated my google-calendar as CalDAV in Korganizer because I found the kde-google-calendar software totally unreliable.
I make korganizer "refresh" each minute.
Only it doesn't. It only reads what's on the remote server when a change has been made. Then is synchronizes neatly.
There is NO way to get korganizer to synchronize any other way ("restart" button, restart korganizer, restart system). As a result of this the shiny new "PIM Events Plugin" also doesn't work so nice. 
I am using kde neon, plasma 5.7.4, frameworks 5.25.0, 

B.t.w. in hindsight the problem of the kde-google-software is also that it really doesn't synchronize. But there the problem is a little worse. It even doesn't synchronize after a change has been made.
Comment 60 quazgar 2016-09-06 08:37:15 UTC
OK, there seems to be a fix in OwnCloud now:

https://github.com/owncloud/calendar/issues/706
https://github.com/owncloud/calendar/pull/707

Still, would it be possible to make the ics file parser "more clever"?  Like saying "OK, there is a property 

PRODID:-//ownCloud calendar v1.2.2

or similar, so let's just assume the VERSION property is missing but would be something reasonable such as 2.0 or whatever."

This would be an ugly workaround but it would help people affected by buggy CalDAV servers.
Comment 61 Alejandro Lorenzo 2016-09-06 09:05:02 UTC
I think each software should be responsible for its own bugs. If the bug is in Owncloud, just fix Owncloud and do not make miserable other projects because of your faults.

Workarounds and such usually open the door to bugs ( Code paths that do not execute often or can only be tested to some versions of software), create harder to maintain software and generally, eat kittens, so personally I think it would be a bad idea
Comment 62 S. Bryant 2016-09-16 19:13:07 UTC
I've just installed the OpenSuse Leap 42.2 beta to test this (Kontact 5.1.3).
The bug is still present - Kontact is not seeing calendar events from the server.

I should point out that I'm not using Owncloud for this either, so no kitten-eating here.  I'm using the caldav software from Synology that's on my diskstation (with the most up-to-date software).  Thunderbird (Lightning) and Android (Davdroid) sync just fine here, and Synology list other software they've tested it with.  The bug is not on the server side.
Comment 63 Syiad 2016-12-12 17:37:28 UTC
I've got the same problem (I think). Using korganizer 5.2.3 on Kubuntu 16.10, I don't see entries created from e.g. Thunderbird or Android phone on my Web.de calendar. No idea, what CalDAV server is used by my provider Web.de.
Comment 64 Muck 2016-12-15 16:15:57 UTC
(In reply to Muck from comment #35)

Value-free note: one year and 27 comments later we see zero progress in this case.
Comment 65 Tom Mittelstädt 2016-12-20 11:22:02 UTC
The DAV-Ressource (and KOrganizer, too) seems to be fairly unmaintained.
Comment 66 Syiad 2016-12-20 12:08:29 UTC
Unfortunately, the whole KDE PIM suite & akonadi seem to be poorly maintained and could do with a bit (actually a lot) of love.
Comment 67 Stefan 2017-02-08 18:54:59 UTC
I've the same problem with following configuration:
* Synology DS216j (CalDAV and WebDAV --> CardDAV)
* KDE Neon User Edition (current updates installed)
* KOrganizer 5.4.1

Neither calendar nor contact items are showen in KOrganizer (Part of KDE Kontact).

Current Thunderbird works.
Comment 68 Thomas Murach 2017-05-21 01:16:56 UTC
Same issue here (KOrganizer 5.5.1, OpenSuse 42.2, KDE Frameworks 5.34.0).
It would be very nice to see this fixed. Thanks in advance!
Comment 69 Frank Fischer 2017-05-21 15:02:40 UTC
I agree, this should be fixed. I remember I had the same problem one or two years ago but both, calendar and contacts, used to work for me in the last months. However, both stopped to work approximately one month ago.
Comment 70 Lemmiwinks 2017-06-02 02:47:13 UTC
Same problem here. Trying to sync calendar entries with my own Citadel server trough GroupDAV. Korganizer just shows "Syncing folder 'Calendar' (100%)" with no further progress, not syncing any calendar events at all. Any other resource like google etc. show similar problems.
Very sad to see that the great Kontact suite gets useless because of akonadi not working properly at all for years now!
Comment 71 Axel Braun 2017-07-16 16:31:35 UTC
Having a Python WebDAV server on localhost, talking the GNU Health Server which holds the calendars, korganizer 5.5.2 does not read any calendar items.

Thunderbird works flawless.
Comment 72 Oliver Rettig 2017-09-15 07:13:17 UTC
I have the same above described problem in combination with an Synlogy DS116 based webdav based calendar. The communication with the servers works fine for two android smartphone but not the calendar app of the kde. All items created by calendar are visible correctly for the other clients but if I create or change items by the android app the changes are unvisible for the kde calendar but visible for all android apps.

Does anybody know some more in details how is this bug comes from?

If I interpret the comments correct the problem does not occures in combination with all webdav servers. Isnt it?
Comment 73 Peter 2017-09-25 10:08:38 UTC
Same her on KDE Neon devoloper stable 
KDE-Plasma 5.10.95
KDE-Frameworks-Version 5.39.0
Kernel 4.4.0-096 generic
64-bit OS

Bug:

while creating a caldav-ressource connecting https://dav.mailbox.org/
korganizer-collection of folders is successful
fist item (job) successful created in korganizer pointing to caldav-server
first job successful transmitted to caldav-Server, is visible there
after this, every try to read the caldav-server fails



Output akonadictl restart --verbose 

rg.kde.pim.davresource: Error when uploading item: 400 "There was a problem with the request. The item has not been created on the server.\nDie Datei oder der Ordner dav.mailbox.org existiert nicht. (0)." 


Output korganizer

$ korganizer
KServiceTypeTrader: serviceType "KOrganizer/Part" not found
org.kde.akonadi.ETM: GEN true false true
org.kde.akonadi.ETM: collection: QVector()
org.kde.akonadi.ETM: Subtree:  11 QSet(11)
org.kde.akonadi.ETM: collection: "akonadi_ical_resource_0"
org.kde.akonadi.ETM: Subtree:  1 QSet(48, 49, 1)
org.kde.akonadi.ETM: collection: "OpenInvitations"
org.kde.akonadi.ETM: collection: "DeclinedInvitations"
org.kde.akonadi.ETM: Subtree:  2 QSet(2)
org.kde.akonadi.ETM: collection: "Geburtstage und Jahrestage"
org.kde.akonadi.ETM: Fetch job took  56 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 5
org.kde.akonadi.ETM: first fetched collection: "Search"
org.kde.akonadi.ETM: Fetch job took  13 msec
org.kde.akonadi.ETM: was item fetch job: items: 1
org.kde.akonadi.ETM: Fetch job took  17 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
org.kde.akonadi.ETM: Fetch job took  20 msec
org.kde.akonadi.ETM: was item fetch job: items: 0                                                                                                                                               
org.kde.akonadi.ETM: Fetch job took  32 msec                                                                                                                                                    
org.kde.akonadi.ETM: was item fetch job: items: 0                                                                                                                                               
                                                                                                                                                                                                
                                                                                                                                                                                                
                                                                                                                                                                                                
pError loading plugin: "Die dynamische Bibliothek konnte nicht gefunden werden."                                                                                                                
Error loading plugin: "Die dynamische Bibliothek konnte nicht gefunden werden."                                                                                                                 
"syntax error, unexpected MONTH"                                                                                                                                                                
"syntax error, unexpected MONTH"                                                                                                                                                                
Error loading plugin: "Die dynamische Bibliothek konnte nicht gefunden werden."                                                                                                                 
Error loading plugin: "Die dynamische Bibliothek konnte nicht gefunden werden."                                                                                                                 
Error loading plugin: "Die dynamische Bibliothek konnte nicht gefunden werden."                                                                                                                 
Error loading plugin: "Die dynamische Bibliothek konnte nicht gefunden werden."                                                                                                                 
Error loading plugin: "Die dynamische Bibliothek konnte nicht gefunden werden."                                                                                                                 
KServiceTypeTrader: serviceType "KOrganizer/Part" not found                                                                                                                                     
Error loading plugin: "Die dynamische Bibliothek konnte nicht gefunden werden."                                                                                                                 
org.kde.akonadi.ETM: GEN true false true                                                                                                                                                        
org.kde.akonadi.ETM: collection: QVector()                                                                                                                                                      
org.kde.akonadi.ETM: Subtree:  11 QSet(11)                                                                                                                                                      
org.kde.akonadi.ETM: Subtree:  1 QSet(48, 49, 1)                                                                                                                                                
org.kde.akonadi.ETM: Subtree:  2 QSet(2)                                                                                                                                                        
org.kde.akonadi.ETM: Fetch job took  41 msec                                                                                                                                                    
org.kde.akonadi.ETM: was collection fetch job: collections: 5                                                                                                                                   
org.kde.akonadi.ETM: first fetched collection: "Search"                                                                                                                                         
org.kde.akonadi.ETM: collection: "https://dav.mailbox.org/caldav/31/"                                                                                                                           
org.kde.akonadi.ETM: collection: "https://dav.mailbox.org/caldav/33/"                                                                                                                           
org.kde.akonadi.ETM: collection: "https://dav.mailbox.org/caldav/46/"                                                                                                                           
org.kde.akonadi.ETM: collection: "https://dav.mailbox.org/caldav/43/"                                                                                                                           
org.kde.akonadi.ETM: collection: "https://dav.mailbox.org/caldav/45/"                                                                                                                           
org.kde.akonadi.ETM: Fetch job took  0 msec                                                                                                                                                     
org.kde.akonadi.ETM: was collection fetch job: collections: 1                                                                                                                                   
org.kde.akonadi.ETM: first fetched collection: "akonadi_davgroupware_resource_8"                                                                                                                
org.kde.akonadi.ETM: Fetch job took  0 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 1
org.kde.akonadi.ETM: first fetched collection: "akonadi_davgroupware_resource_8"
org.kde.akonadi.ETM: Fetch job took  58 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
org.kde.akonadi.ETM: collection: "https://dav.mailbox.org/caldav/47/"
org.kde.akonadi.ETM: Fetch job took  64 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
org.kde.akonadi.ETM: Fetch job took  64 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
org.kde.akonadi.ETM: Fetch job took  62 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
org.kde.akonadi.ETM: Fetch job took  57 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
org.kde.akonadi.ETM: Fetch job took  38 msec
org.kde.akonadi.ETM: was item fetch job: items: 0




org.kde.akonadi.ETM: GEN true false true
org.kde.akonadi.ETM: collection: QVector()
org.kde.pim.incidenceeditor: free slot calculation: invalid range. range(  0 ) / mSlotResolutionSeconds( 900 ) =  0
org.kde.akonadi.ETM: Subtree:  11 QSet(11)
org.kde.akonadi.ETM: Subtree:  1 QSet(48, 49, 1)
org.kde.akonadi.ETM: Subtree:  81 QSet(83, 84, 85, 86, 87, 81)
org.kde.akonadi.ETM: Fetch job took  53 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 10
org.kde.akonadi.ETM: first fetched collection: "Search"
org.kde.pim.calendarview: Agenda::removeIncidence() Failed to remove  "KOrganizer-1686371557.161"
Comment 74 Johannes Hirte 2017-10-05 13:18:58 UTC
I can confirm this with the latest git sources. Tested with Open XChange, pushing to the server works, pull doesn't.
Comment 75 Tobias Erthal 2017-11-26 13:19:44 UTC
Can confirm this issue on ArchLinux x64.
Can only push new events/contacts to server via caldav/carddav, but cannot pull and the calendar never gets populated.
Comment 76 Jan 2017-12-27 18:36:43 UTC
Can confirm this with Manjaro and openSuSe Tumbleweed.
Comment 77 Adreiaan Lerandor 2018-02-15 17:13:40 UTC
I can confirm this error too. That's the output I can see in the akonadi console debugger when I try to sync the dav sources (openxchange, mailbox.org):

akonadi_davgroupware_resource_1 (0x55d6663bd730) 107 Command: FetchCollections collections: UID 70 resource: mimeTypes:() ancestorsAttributes:QSet() depth:0 ancestorsDepth:2 enabled:true syncPref:false displayPref:false indexPref:false fetchStats:false 
akonadi_davgroupware_resource_1 (0x55d6663bd730) 107 Response: FetchCollections Error code: 0 Error msg: name: https://dav.mailbox.org/caldav/27/ isVirtual: false referenced: false indexPref: Undefined syncPref: Undefined displayPref: Undefined enabled: true cachePolicy: localParts: (ALL) checkInterval: 5 cacheTimeout: -1 inherit: true syncOnDemand: false statistics: Response: FetchCollectionStats Error code: 0 Error msg: count: 0 unseen: 0 size: 0 id: 70 parentId: 64 mimeTypes: (application/x-vnd.akonadi.calendar.todo, inode/directory) remoteId: https://dav.mailbox.org/caldav/27/ remoteRevision: resource: akonadi_davgroupware_resource_1 searchQuery: searchCollections: QVector() ancestors: QVector(id:64 remoteId:akonadi_davgroupware_resource_1 name:akonadi_davgroupware_resource_1 attributes:QMap() , id:0 remoteId: name: attributes:QMap() ) attributes: QMap((AccessRights, a)(ENTITYDISPLAY, ("Aufgaben" "" "" ()))(collectioncolor, #cee7ffff)(ctag, 27-1518553832455)(davprotocol, 0))
Comment 78 Huw 2018-03-09 07:18:13 UTC
Confirmed also on 5.7.2 on Tumbleweed using mailbox.org following their instructions to the letter.

As others, I can push events to the server but cannot pull any, but it works fine on my Android phone.
Comment 79 Stefan Brüns 2018-05-12 22:25:24 UTC
Can you verify if the collection CTag property changes:

1. Restart akonadi with appropriate debug output (e.g. in konsole):

$> QT_LOGGING_RULES="*.debug=false;org.kde.pim.davresource.debug=true;org.kde.pim.kdav.debug=true" akonadictl start

2. Do some changes in your calendar

3. Watch the output in the terminal -

If you get something like:
org.kde.pim.davresource: Retrieving items for collection  "https://server/foo/bar/"
org.kde.pim.davresource: CTag for collection "https://server/foo/bar/" didn't change:  "T1526002626000"

even after changing something, the ctag property in the server does not work correctly.
Comment 80 Huw 2018-05-13 00:13:11 UTC
Someone else in CC will have to test this because after adding my calendar (I have since switched to Thunderbird because it works just fine) I cannot even retrieve my calendar entries now.

However, I was getting plenty of "CTag for collection didn't change" errors in the debug output.
Comment 81 Muck 2018-05-13 17:32:57 UTC
Friendly advice: Make a backup copy of your calendar data before testing CalDAV with Akonadi and KOrganizer! Last time we've removed a single calendar from KOrganizer, we lost all events on the CalDAV server without a warning.
Comment 82 bernd 2018-05-14 16:46:55 UTC
Making an entry in Korganizer: (works)
org.kde.pim.davresource: Received notification for added item. Local id =  4714 . Remote id =  "" . Collection remote id =  "https://dav.mailbox.org/caldav/xx/"
org.kde.pim.davresource: Item  4714  will be put to  "https://dav.mailbox.org/caldav/xx/1526316132.R377.ics"

Fetching items from the server: (fails)
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.mailbox.org/caldav/xx/1516542687.R118.ics"
Comment 83 Stephan Widor 2018-05-17 07:31:15 UTC
stephan@SuperSchlepp:~$ QT_LOGGING_RULES="*.debug=false;org.kde.pim.davresource.debug=true;org.kde.pim.kdav.debug=true" akonadictl start
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
stephan@SuperSchlepp:~$ Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/16/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/22/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/24/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/32/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/48/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/64/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/128/"
akonadi.collectionattributetable                   OK
akonadi.collectionmimetyperelation                 OK
akonadi.collectionpimitemrelation                  OK
akonadi.collectiontable                            OK
akonadi.flagtable                                  OK
akonadi.mimetypetable                              OK
akonadi.parttable                                  OK
akonadi.parttypetable                              OK
akonadi.pimitemflagrelation                        OK
akonadi.pimitemtable                               OK
akonadi.pimitemtagrelation                         OK
akonadi.relationtable                              OK
akonadi.relationtypetable                          OK
akonadi.resourcetable                              OK
akonadi.schemaversiontable                         OK
akonadi.tagattributetable                          OK
akonadi.tagremoteidresourcerelationtable           OK
akonadi.tagtable                                   OK
akonadi.tagtypetable                               OK
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/16/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/22/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/24/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/32/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/48/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/64/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/128/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/16/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/22/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/24/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/32/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/48/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/64/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/128/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/16/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/22/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/24/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/32/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/48/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/64/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/128/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/16/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/22/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/24/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/32/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/48/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/64/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/128/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/16/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/22/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/24/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/32/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/48/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/64/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/128/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/16/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/22/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/24/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/32/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/48/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/64/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/128/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/16/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/22/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/24/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/32/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/48/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/64/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/128/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/16/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/22/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/24/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/32/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/48/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/64/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/128/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/16/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/22/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/24/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/32/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/48/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/64/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/128/"
QDBusConnection: name 'org.freedesktop.Akonadi.Control' had owner '' but we thought it was ':1.109'
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/16/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/22/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/24/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/32/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/48/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/64/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/128/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/16/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/22/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/24/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/32/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/48/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/64/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/128/"
org.kde.pim.akonadiserver: Received ModifySubscription command before RegisterSubscriber
org.kde.pim.akonadicore: "QLocalSocket: Die Verbindung wurde von der Gegenseite geschlossen" "/tmp/akonadi-stephan.S0ktyl/akonadiserver-ntf.socket"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/16/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/22/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/24/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/32/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/48/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/64/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/128/"
org.kde.pim.akonadicore: Protocol Exception: "Failed to write data to stream"
QIODevice::read (QLocalSocket): device not open
org.kde.pim.davresource: Resource changed online status to true
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/16/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/22/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/24/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/32/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/48/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/64/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/128/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/16/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/22/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/24/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/32/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/48/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/64/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/128/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/16/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/22/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/24/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/32/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/48/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/64/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/128/"
org.kde.pim.davresource: Retrieving collections list
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/16/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/22/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/24/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/32/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/48/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/64/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/128/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/16/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/22/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/24/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/32/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/48/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/64/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/128/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/16/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/22/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/24/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/32/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/48/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/64/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/128/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/16/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/22/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/24/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/32/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/48/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/64/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-light/stock/128/"
org.kde.pim.kdav: Found  1  homesets
org.kde.pim.kdav: ("/caldav/")
org.kde.pim.kdav: Found  1  homesets
org.kde.pim.kdav: ("/carddav/")
org.kde.pim.kdav: "https://dav.webmail.strato.de/caldav/26/" PRIVS:  QFlags(0x1|0x2|0x4|0x8|0x20|0x40|0x80|0x100|0x200)
org.kde.pim.kdav: "https://dav.webmail.strato.de/caldav/42/" PRIVS:  QFlags(0x1|0x2|0x4|0x8|0x20|0x40|0x80|0x100|0x200)
org.kde.pim.kdav: "https://dav.webmail.strato.de/caldav/28/" PRIVS:  QFlags(0x1|0x2|0x4|0x8|0x20|0x40|0x80|0x100|0x200)
org.kde.pim.kdav: "https://dav.webmail.strato.de/carddav/27/" PRIVS:  QFlags(0x400)
org.kde.pim.kdav: "https://dav.webmail.strato.de/carddav/36/" PRIVS:  QFlags(0x400)
org.kde.pim.kdav: "https://dav.webmail.strato.de/carddav/6/" PRIVS:  QFlags(0x400)
org.kde.pim.davresource: Retrieving collections list
org.kde.pim.kdav: Found  1  homesets
org.kde.pim.kdav: ("/carddav/")
org.kde.pim.kdav: Found  1  homesets
org.kde.pim.kdav: ("/caldav/")
org.kde.pim.kdav: "https://dav.webmail.strato.de/carddav/27/" PRIVS:  QFlags(0x400)
org.kde.pim.kdav: "https://dav.webmail.strato.de/carddav/36/" PRIVS:  QFlags(0x400)
org.kde.pim.kdav: "https://dav.webmail.strato.de/carddav/6/" PRIVS:  QFlags(0x400)
org.kde.pim.kdav: "https://dav.webmail.strato.de/caldav/26/" PRIVS:  QFlags(0x1|0x2|0x4|0x8|0x20|0x40|0x80|0x100|0x200)
org.kde.pim.kdav: "https://dav.webmail.strato.de/caldav/42/" PRIVS:  QFlags(0x1|0x2|0x4|0x8|0x20|0x40|0x80|0x100|0x200)
org.kde.pim.kdav: "https://dav.webmail.strato.de/caldav/28/" PRIVS:  QFlags(0x1|0x2|0x4|0x8|0x20|0x40|0x80|0x100|0x200)
org.kde.pim.davresource: Retrieving items for collection  "https://dav.webmail.strato.de/caldav/26/"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/26/e0aacf11-c993-423e-9118-3c44be3a1387.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/26/1d4bb11c-3dc6-4ec7-8f64-59d93452d9f4.ics"
org.kde.pim.davresource: Updating collection CTag from "26-1494443855796" to "26-1526541251536"
org.kde.pim.davresource: Retrieving items for collection  "https://dav.webmail.strato.de/caldav/42/"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/10093a73-bc82-4dad-a83d-bf3943cab65a_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/e0a9dd70-ae84-47bb-b7b5-aaacd83d218a.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/6dfcfedb-ffb7-4bb3-9a08-d085d75fbce6.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/901ce088-96bf-459b-aaf8-3c12569605f2.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/cfe3d0c4-268e-41c1-b119-800e4fd5506b.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/337dacd3-58b6-45d0-8437-6b494df7037f.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/89c991f8-e0d0-4b83-99a3-334403883a8a_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/be1e644d-da8e-466e-8c90-957927e113c6_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/ff0ffc76-b810-470c-9d70-2a3ffb4f23a3_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/beee7e9e-13fe-494c-9b86-00a3f1a00402_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/1ea7e983-8aa0-4159-a066-9f094d89dda9_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/8bd77bad-8853-4b66-8f71-a4d91793e17e.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/cb29ea4d-e09d-45bb-9406-c38732bd0110.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/679a06d2-9227-4e14-8228-cced26a91091.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/628a2b1c-c7a5-4ef3-ac23-17529c4e4e2f.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/7a79b511-a3da-4b41-bee0-562a92380a8e_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/c2484ab7-07e0-424e-9c45-5d64986ec4d6_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/902ea0b0-45dc-451e-8e95-13cbb7e99126.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/f63f5cca-ec5f-4ff7-b0c2-9b5d7b892893.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/e3f9350f-60e6-4372-bab7-e0171f988e62_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/a416d990-1d1a-48c7-b332-433b7147f314_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/9b54b4fd-11b6-455a-aa66-495458e2956f_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/5c4549ee-ebcb-4c1c-ae1f-4429653f4cca_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/8c0c51c3-193f-40c8-8424-83c3d6d0e878.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/a39bd178-0a52-4558-a835-3c247240d465.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/cfb6a53f-9c92-407d-abcf-d8bd73412c00_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/261bfd9b-3bed-4d17-a668-64d9fab6c74a.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/d5ca720d-38ac-4296-8fe8-7cc6e8e561aa.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/33f05559-82ad-467b-9009-be6ded9fed41_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/7033fdad-05bf-4694-8c63-cfbc4a5bf71b.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/da0fce38-2e8a-49ae-95f0-54396041dfa5_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/b85d7adc-0281-42b6-aaa1-84d372bcba15.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/183246a5-5490-4ec7-b330-d01eb8c2e0cc_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/b1a039a8-3693-4f7c-bedc-a95e02d7ec3b.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/034e8716-0b31-4d14-9513-dec68c650d95_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/a638a200-d44e-4cb0-95b3-e14703531d28.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/037668c7-0ddb-4525-8532-4095bf2ebb54.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/3ecd9af2-c932-45d3-a702-022c3e8b981a.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/266b7afc-e4b5-42e8-ac70-ec5097f3f3d8_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/4b43c0e7-66d8-4999-971f-8a4e4de500ac.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/072eb2b2-16d6-4e6c-a187-7942e171ce6a.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/31d62ea7-17cd-4b0d-92e2-4e4813778b61.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/40ec240e-63c8-4c27-ad4e-f2960db73083_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/f84c64d2-0c32-499d-bc0a-3da2b6866d42.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/e7a483b1-7bbe-428d-a790-0504b824e510_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/75267f92-3fb3-4a6e-b6b6-4114c319f097_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/da99261d-09aa-4806-835b-2fc2f7750e78_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/52f6c4d2-87f8-46cb-8636-aeba3b65e583_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/750aaa72-f376-49e0-bffb-cabe6c1b59a6_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/66adf5f0-0908-4249-94c3-f943c40c2e1e_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/d9e37a70-0b7b-419d-9471-928397c5d525.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/481e202b-b856-40ba-ae93-6ce73fcc1e9a_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/8d6f4cd1-8687-428c-b062-b2a440b5f6ee.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/a350a92e-8052-4844-815c-5a8e93d2db13.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/f3c1ee54-4be7-48f6-a3b8-66981ed5f121_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/a416d990-1d1a-48c7-b332-433b7147f314_KABC_Anniversary.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/b586b786-e3cd-4f00-a3b7-2f4b6f9cfc61.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/17260d5e-e836-4b58-8102-357419bf6802_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/ed26d44f-990d-4337-a617-97b2f751349c_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/f8683d09-282d-4ab6-8ce8-17a30396fd65_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/c92950b1-a5ce-477a-b709-49ef634947e4.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/16bafff8-63ea-4487-82e4-7c05d2b0e5a3_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/e8941650-a2da-44da-993c-e0f058b65bb4.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/3219bf10-94b6-434a-ac58-53ddf9739d9f.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/d10b3f77-c15e-49cb-a532-153e12b21b3c.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/ed52df5f-8b26-4c43-a48b-4028df743a94.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/f37289a2-9bc0-45e8-8822-69ab2c1e1033.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/92171ed5-2c85-4bc2-a995-339f8cb08380_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/0dec706d-4849-40d1-9678-2f7f37520970.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/52f1a41c-242a-4c4c-a1c0-9fd4b664decf_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/9a800091-1a73-4adc-acf6-2d17a1874916_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/70068f8d-6c30-45e5-b211-d9b0ba5f6c04_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/fb23dc59-067b-4c92-802c-702b7331e409_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/56062e71-c24b-4ce3-9c36-a73d7a731707_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/0264a80f-61bb-4237-8756-7ca9296f0f6e_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/bd71a47a-cc21-4a24-a5a0-c7a842578a6e_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/b6e0229f-9ce6-4dce-9bf6-a02ef6e5b36e.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/4ff0899e-b1cc-4d84-be02-a9c6fd972665_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/18ffd06a-cc7d-46d9-84fb-a90797e72171.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/a35ae929-8bd9-48b2-b2e8-352581f8718d.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/c242136e-8f72-4fb7-802b-a125bc6971fc.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/6a974433-dd71-4ef1-b58d-ae8ba19d6c9c.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/1d7682a2-867c-49ab-b350-b6e06f07e694.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/30ae36db-2554-4851-9741-28d218167575.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/9092403a-17ad-420c-8f9c-9e7faa629ff8.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/1203cec2-5e73-4e9e-a0fb-933256db58af_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/7c8800cc-351c-4688-95f9-13a6af2756bf.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/dbde3be8-0688-4f31-9ce2-5d1ddb91bdee.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/f18ff37d-8edb-4569-adaf-58c45b34448d.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/2df3ede2-4378-42dd-93dc-cdc474c7967f_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/33bbc679-4f9a-4674-acbc-4a0d7ce930f7.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/250f85ab-b5cc-48d0-a695-d32ae2a4779b_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/8f69d3c7-ab10-4d44-8b8c-047195f8b892.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/0fc8e476-ffe8-4c21-b356-2fde3dc443c5.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/a7c9e6cf-4496-4dc1-818d-08d8af7b7b24.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/4c4460fa-dbfb-43d3-8280-072719877732_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/117434b1-ee61-4a56-81cb-841acd51da59_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/2f62f149-9fd1-4a5f-82a4-839880951e77.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/09868001-3e05-4896-8665-360d13be99f4_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/f664521e-564f-4f40-b483-3a7aabe50469.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/ad15fa3b-63fa-4417-9f5d-873c092b81f7_KABC_Birthday.ics"
org.kde.pim.davresource: DavGroupwareResource::onMultigetFinished: Empty item returned.  "https://dav.webmail.strato.de/caldav/42/b0f9480e-a0d8-460f-984e-9d6ce4f5eb63_KABC_Birthday.ics"
org.kde.pim.davresource: Updating collection CTag from "42-1526385668852" to "42-1526540592940"
org.kde.pim.davresource: Retrieving items for collection  "https://dav.webmail.strato.de/caldav/28/"
org.kde.pim.davresource: CTag for collection "https://dav.webmail.strato.de/caldav/28/" didn't change:  "28-1483225200000"
org.kde.pim.davresource: Retrieving items for collection  "https://dav.webmail.strato.de/carddav/27/"
org.kde.pim.davresource: Retrieving items for collection  "https://dav.webmail.strato.de/carddav/36/"
org.kde.pim.davresource: CTag for collection "https://dav.webmail.strato.de/carddav/36/" didn't change:  "36-1458169067056"
org.kde.pim.davresource: Retrieving items for collection  "https://dav.webmail.strato.de/carddav/6/"
Skipped method "password" : Pointers are not supported: bool*
Skipped method "sieveCustomPassword" : Pointers are not supported: bool*
org.kde.pim.davresource: Received notification for added item. Local id =  22873 . Remote id =  "" . Collection remote id =  "https://dav.webmail.strato.de/caldav/26/"
org.kde.pim.davresource: Item  22873  will be put to  "https://dav.webmail.strato.de/caldav/26/1526541466.R912.ics"
Comment 84 Christoph Feck 2018-06-05 23:03:42 UTC
Thanks for the update; changing status.
Comment 85 Dennis Schridde 2018-06-15 08:52:00 UTC
Is this related to bug #335509?
Comment 86 yamboo 2018-09-24 22:19:47 UTC
I suffer similar issue (I think), in Gentoo with 5.8.3 version and in Kubuntu 18.04 with 5.7.3.

I'm trying connect to Zimbra (I think is a 5.x version). It list all my calendars, but won't show any event.

Tried connection with cadaver without success (says that cannot find a collection resource). If use -t parameter I can force connection (same error) but I can list the events.

I don't know if this is caused by poor implementation of caldav protocol in Zimbra or issue in akonadi.

In Kubuntu 14.04 I can connect and show all events but Zimbra admins ban my account due a lot of request.

Starting akonadi with debug flags, outputs:

org.kde.pim.davresource: Retrieving items for collection  "https://xxxxxx/dav/yyyyyy/Sala8/"
org.kde.pim.davresource: CTag for collection "https://xxxxxx/dav/yyyyyy/Sala8/" didn't change:  "26946"

And akonadi-console debugger shows:

akonadi_davgroupware_resource_11 (0x55c9379d94a0) 90 Command: FetchCollections collections: UID 179 resource: mimeTypes:() ancestorsAttributes:QSet() depth:0 ancestorsDepth:2 enabled:true syncPref:false displayPref:false indexPref:false fetchStats:false 
akonadi_davgroupware_resource_11 (0x55c9379d94a0) 90 Response: FetchCollections Error code: 0 Error msg: name: https://xxxxxx/dav/yyyyyy/Sala8/ isVirtual: false referenced: false indexPref: Undefined syncPref: Undefined displayPref: Undefined enabled: true cachePolicy: localParts: (ALL) checkInterval: 5 cacheTimeout: -1 inherit: true syncOnDemand: false statistics: Response: FetchCollectionStats Error code: 0 Error msg: count: 0 unseen: 0 size: 0 id: 179 parentId: 168 mimeTypes: (inode/directory, text/calendar, application/x-vnd.akonadi.calendar.event, application/x-vnd.akonadi.calendar.todo, application/x-vnd.akonadi.calendar.freebusy) remoteId: https://xxxxxx/dav/yyyyyy/Sala8/ remoteRevision: resource: akonadi_davgroupware_resource_11 searchQuery: searchCollections: QVector() ancestors: QVector(id:168 remoteId:akonadi_davgroupware_resource_11 name:akonadi_davgroupware_resource_11 attributes:QMap() , id:0 remoteId: name: attributes:QMap() ) attributes: QMap((AccessRights, a)(ENTITYDISPLAY, ("Sala8" "" "" ()))(collectioncolor, #f57802ff)(ctag, 26946)(davprotocol, 0)) 
akonadi_davgroupware_resource_11 (0x55c9379d94a0) 90 Response: FetchCollections Error code: 0 Error msg: name: isVirtual: false referenced: false indexPref: Undefined syncPref: Undefined displayPref: Undefined enabled: true cachePolicy: localParts: () checkInterval: -1 cacheTimeout: -1 inherit: true syncOnDemand: false statistics: Response: FetchCollectionStats Error code: 0 Error msg: count: 0 unseen: 0 size: 0 id: -1 parentId: -1 mimeTypes: () remoteId: remoteRevision: resource: searchQuery: searchCollections: QVector() ancestors: QVector() attributes: QMap() 

I think this isn't useful, but I don't know how to provide more information.
Comment 87 Erik Quaeghebeur 2018-11-16 12:37:20 UTC

*** This bug has been marked as a duplicate of bug 386985 ***
Comment 88 Muck 2018-11-16 21:44:01 UTC
Bug 325224 has been reported 2013-09-24, got 429 votes and has 47 users on the CC List. Now it's marked as duplicate of Bug 386985, which has been reported 2017-11-16, got only 60 votes and only 10 users on CC. Is it best practice to close the "origin bug" (Bug 325224) or should it be the other way round? The 47 users from Bug 325224 will they be added to Bug 386985 automatically?
Comment 89 Erik Quaeghebeur 2018-11-16 22:13:04 UTC
(In reply to Muck from comment #88)
> Bug 325224 has been reported 2013-09-24, got 429 votes and has 47 users on
> the CC List. Now it's marked as duplicate of Bug 386985, which has been
> reported 2017-11-16, got only 60 votes and only 10 users on CC. Is it best
> practice to close the "origin bug" (Bug 325224) or should it be the other
> way round?
I understand your reaction. But I have my reasons, which I hope you can sufficiently agree with:
* This bug report contains a mix of different issues, some fixed, some not. There is no overview and focus. The most recent ones and most persistent ones all point to the issue treated with more focus in the newer report.
* The newer report contains links to an actual patch that fixed the issue, but which was reverted by developers when that patch caused an issue for their server. That patch is still the best starting point to fix the issue.

> The 47 users from Bug 325224 will they be added to Bug 386985
> automatically?
No, it seems not. Each user will have to do this themselves. It is also an opportunity to test the current situation and report back at the bug report this report is now a duplicate of. Please do not comment if you have no information to add (e.g., reporting that a certain server does or does not exhibit the issue is useful, but only saying that it is a disgrace the bug hasn't been fixed yet isn't). Of course, please vote again if you are still affected by this issue.
Comment 90 Martin Hofmann 2019-02-10 21:27:41 UTC
*** This bug has been confirmed by popular vote. ***